package com.wechat.dao;

import java.util.ArrayList;

import org.springframework.stereotype.Repository;

import com.wechat.global.base.dao.RedisGeneratorDao;
import com.wechat.model.dto.Province;
@Repository
public class RedisProvinceCityDao extends RedisGeneratorDao<String, ArrayList<Province>> {
	private String tableKey = "ProvinceCityRedisDao";

    public ArrayList<Province> selectMessageInfo(String infoKey) {
        return selectOne(tableKey, infoKey);
    }

    public void updateMessageInfo(String infoKey, ArrayList<Province> infoValue) {
        update(tableKey, infoKey, infoValue);
    }

    public void insertMessageInfo(String infoKey, ArrayList<Province> infoValue) {
        insert(tableKey, infoKey, infoValue);
    }

    public void deleteMessageInfo(String infoKey) {
        delete(tableKey, infoKey);
    }

}
